package nvidia-OPENcl-dev not installed failed to install/upgrade: trying to overwrite /usr/lib/x86_64-linux-gnu/libOpenCL.so , which is also in package nvidia-libOPENcl1-331-updates 331.20-0ubuntu6

Bug #1260974 reported by Toby Smithe on 2013-12-14
124
This bug affects 22 people
Affects Status Importance Assigned to Milestone
nvidia-cuda-toolkit (Ubuntu)
High
Unassigned
Trusty
Undecided
Unassigned
nvidia-graphics-drivers-304 (Ubuntu)
High
Alberto Milone
Trusty
Undecided
Unassigned
nvidia-graphics-drivers-304-updates (Ubuntu)
High
Alberto Milone
Trusty
Undecided
Unassigned
nvidia-graphics-drivers-331 (Ubuntu)
High
Unassigned
Trusty
Undecided
Unassigned
nvidia-graphics-drivers-331-updates (Ubuntu)
High
Unassigned
Trusty
Undecided
Unassigned

Bug Description

Tried to install nvidia-opencl-dev, but it failed.

ProblemType: Package
DistroRelease: Ubuntu 14.04
Package: nvidia-opencl-dev (not installed)
Uname: Linux 3.12-4.dmz.1-liquorix-amd64 x86_64
ApportVersion: 2.12.7-0ubuntu2
AptOrdering:
 nvidia-opencl-dev: Install
 nvidia-opencl-dev: Configure
Architecture: amd64
Date: Sat Dec 14 13:34:10 2013
DpkgTerminalLog:
 Unpacking nvidia-opencl-dev:amd64 (from .../nvidia-opencl-dev_5.0.35-7ubuntu1_amd64.deb) ...
 dpkg: error processing /var/cache/apt/archives/nvidia-opencl-dev_5.0.35-7ubuntu1_amd64.deb (--unpack):
  trying to overwrite '/usr/lib/x86_64-linux-gnu/libOpenCL.so', which is also in package nvidia-libopencl1-331-updates 331.20-0ubuntu6
DuplicateSignature: package:nvidia-opencl-dev:(not installed):trying to overwrite '/usr/lib/x86_64-linux-gnu/libOpenCL.so', which is also in package nvidia-libopencl1-331-updates 331.20-0ubuntu6
ErrorMessage: trying to overwrite '/usr/lib/x86_64-linux-gnu/libOpenCL.so', which is also in package nvidia-libopencl1-331-updates 331.20-0ubuntu6
SourcePackage: nvidia-cuda-toolkit
Title: package nvidia-opencl-dev (not installed) failed to install/upgrade: trying to overwrite '/usr/lib/x86_64-linux-gnu/libOpenCL.so', which is also in package nvidia-libopencl1-331-updates 331.20-0ubuntu6
UpgradeStatus: Upgraded to trusty on 2013-05-04 (223 days ago)

Toby Smithe (tsmithe) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-cuda-toolkit (Ubuntu):
status: New → Confirmed
tags: removed: need-duplicate-check

Since this bug prevents the package (or a dependent one) from functioning correctly at all, it has a priority of "high".

Changed in nvidia-cuda-toolkit (Ubuntu):
importance: Undecided → High
Egor Nikulenkov (enikulenkov) wrote :

The workaround is to remove nvidia-libopencl1-331-updates package before installing nvidia-opencl-dev. At least nvidia-opencl-dev package is installed successfully.

Aditya Avinash (adityaavinash) wrote :

Hi,
This is what you do.

sudo apt-get remove nvidia-cuda-toolkit nvidia-opencl-dev

then,

sudo apt-get remove nvidia-331

then,

sudo apt-get install nvidia-cuda-toolkit nvidia-opencl-dev

then,

sudo apt-get install nvidia-331

The issue here is the clash between the shared library libOpenCL.so from NVIDIA-Driver and the NVIDIA-Cuda-Toolkit.

david leo (i3l1nd3d) wrote :

Actually I did manage to install nvidia-cuda-toolkit

I ended up removing nvidia-libopencl1-304 after trying the above solution

then

sudo apt-get install nvidia-libopencl-dev

then

sudo apt-get install nvidia-cuda-toolkit

I'm not able to install nvidia-331-updates after that though.

Guess I'll have to settle for the nvidia-304 driver.

Thanks.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-304 (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: New → Confirmed

It prevents the package (or a dependent one) from functioning correctly at all.

Changed in nvidia-graphics-drivers-331 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-304 (Ubuntu):
importance: Undecided → High
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-331 - 331.38-0ubuntu4

---------------
nvidia-graphics-drivers-331 (331.38-0ubuntu4) trusty; urgency=low

  [ Graham Inggs ]
  * debian/templates/nvidia-libopencl1-flavour.links*.in:
    - Remove libOpenCL.so symlink (LP: #1260974).
  * debian/templates/nvidia-graphics-drivers.shlibs.in,
    debian/templates/control.in:
    - Update for NVIDIA CUDA Toolkit 5.5.
 -- Alberto Milone <email address hidden> Fri, 07 Mar 2014 12:52:58 +0100

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-331-updates - 331.38-0ubuntu4

---------------
nvidia-graphics-drivers-331-updates (331.38-0ubuntu4) trusty; urgency=low

  [ Graham Inggs ]
  * debian/templates/nvidia-libopencl1-flavour.links*.in:
    - Remove libOpenCL.so symlink (LP: #1260974).
  * debian/templates/nvidia-graphics-drivers.shlibs.in,
    debian/templates/control.in:
    - Update for NVIDIA CUDA Toolkit 5.5.
 -- Alberto Milone <email address hidden> Fri, 07 Mar 2014 12:56:04 +0100

Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Confirmed → Fix Released
Graham Inggs (ginggs) on 2014-03-07
Changed in nvidia-cuda-toolkit (Ubuntu):
status: Confirmed → Invalid
Changed in nvidia-graphics-drivers-304 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-304-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
status: New → Triaged
Changed in nvidia-graphics-drivers-304 (Ubuntu):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-304-updates (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-304 - 304.123-0ubuntu4

---------------
nvidia-graphics-drivers-304 (304.123-0ubuntu4) utopic; urgency=medium

  [ Alberto Milone ]
  * debian/71-nvidia.rules:
    - Make the rule more generic.

  [ Graham Inggs ]
  * debian/templates/nvidia-libopencl1-flavour.links.in:
    - Remove link to libOpenCL.so.1 (LP: #1260974).
 -- Alberto Milone <email address hidden> Fri, 12 Sep 2014 16:10:36 +0200

Changed in nvidia-graphics-drivers-304 (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-304-updates - 304.123-0ubuntu3

---------------
nvidia-graphics-drivers-304-updates (304.123-0ubuntu3) utopic; urgency=medium

  [ Alberto Milone ]
  * debian/71-nvidia.rules:
    - Make the rule more generic.

  [ Graham Inggs ]
  * debian/templates/nvidia-libopencl1-flavour.links.in:
    - Remove link to libOpenCL.so.1 (LP: #1260974).
 -- Alberto Milone <email address hidden> Fri, 12 Sep 2014 16:14:51 +0200

Changed in nvidia-graphics-drivers-304-updates (Ubuntu):
status: Triaged → Fix Released
Graham Inggs (ginggs) on 2014-10-01
Changed in nvidia-graphics-drivers-331 (Ubuntu Trusty):
status: New → Fix Released
Changed in nvidia-graphics-drivers-331-updates (Ubuntu Trusty):
status: New → Fix Released
Changed in nvidia-cuda-toolkit (Ubuntu Trusty):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-304 (Ubuntu Trusty):
status: New → Confirmed
Changed in nvidia-graphics-drivers-304-updates (Ubuntu Trusty):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers